classification
Title: Some define guards for Solaris are wrong
Type: Stage: resolved
Components: Build Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gregory.p.smith, jcea, kulikjak, miss-islington, vstinner
Priority: normal Keywords: patch

Created on 2018-12-21 10:08 by kulikjak, last changed 2019-03-29 14:23 by jcea. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11275 merged kulikjak, 2018-12-21 10:10
PR 11383 merged miss-islington, 2018-12-31 02:16
PR 11383 merged miss-islington, 2018-12-31 02:16
Messages (6)
msg332284 - (view) Author: Jakub Kulik (kulikjak) * Date: 2018-12-21 10:08
Python source code uses on several places ifdef sun or defined(sun) without the underscores, which is not standard compliant and shouldn't be used. Our recent Solaris python build ended up skipping these sections resulting in some obvious problems.

Defines should check for __sun instead.

(link: http://nadeausoftware.com/articles/2012/01/c_c_tip_how_use_compiler_predefined_macros_detect_operating_system#Solaris)
msg332788 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2018-12-31 02:16
New changeset 6f9bc72c79c3262e5d0f2c0e96b016477399cfb1 by Gregory P. Smith (Jakub Kulík) in branch 'master':
bpo-35550: Fix incorrect Solaris define guards (GH-11275)
https://github.com/python/cpython/commit/6f9bc72c79c3262e5d0f2c0e96b016477399cfb1
msg332791 - (view) Author: miss-islington (miss-islington) Date: 2018-12-31 02:39
New changeset d82344378ad8e471b8ed12fb99807f68351c5412 by Miss Islington (bot) in branch '3.7':
bpo-35550: Fix incorrect Solaris define guards (GH-11275)
https://github.com/python/cpython/commit/d82344378ad8e471b8ed12fb99807f68351c5412
msg333165 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-01-07 15:24
Do you want to fix the 2.7 branch as well?
msg333301 - (view) Author: Jakub Kulik (kulikjak) * Date: 2019-01-09 11:29
We are building previous versions of Python with Solaris Studio which works with define guards as they are right now. 3.7 is first version build with gcc. We don't plan to switch to gcc on 2.7 and so it doesn't affect us.

But I guess if this fix can be done easily, it would be correct to do.
msg333314 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-01-09 13:13
> We don't plan to switch to gcc on 2.7 and so it doesn't affect us.

Ok. I close the issue. If anyone wants to fix 2.7, please go ahead :-)
History
Date User Action Args
2019-03-29 14:23:16jceasetnosy: + jcea
2019-01-09 13:13:43vstinnersetstatus: open -> closed

messages: + msg333314
stage: commit review -> resolved
2019-01-09 11:29:49kulikjaksetmessages: + msg333301
2019-01-08 03:11:50gregory.p.smithsetassignee: gregory.p.smith ->
2019-01-07 15:24:40vstinnersetnosy: + vstinner
messages: + msg333165
2018-12-31 02:39:03miss-islingtonsetnosy: + miss-islington
messages: + msg332791
2018-12-31 02:20:58gregory.p.smithsetassignee: gregory.p.smith
stage: patch review -> commit review
resolution: fixed
versions: + Python 3.8
2018-12-31 02:16:56miss-islingtonsetpull_requests: + pull_request10736
2018-12-31 02:16:52miss-islingtonsetpull_requests: + pull_request10735
2018-12-31 02:16:43gregory.p.smithsetnosy: + gregory.p.smith
messages: + msg332788
2018-12-21 10:10:12kulikjaksetkeywords: + patch
stage: patch review
pull_requests: + pull_request10509
2018-12-21 10:08:03kulikjakcreate